import 'package:xml/xml.dart';
import '../classes.dart';

class DeviceUnlockResponse extends CuppsBase {
  final String result;

  DeviceUnlockResponse({
    required int messageID,
    required String messageName,
    required this.result,
  }) : super(messageID: messageID, messageName: messageName);

  factory DeviceUnlockResponse.fromXML(String xmlSTR) {
    final document = XmlDocument.parse(xmlSTR);

    String messageName = document.rootElement.attributes
        .firstWhere((p0) => p0.name.toString() == "messageName")
        .value;
    String messageID = document.rootElement.attributes
        .firstWhere((p0) => p0.name.toString() == "messageID")
        .value;
    String result = document.rootElement.childElements.first.attributes
        .firstWhere((p0) => p0.name.toString() == "result")
        .value;

    return DeviceUnlockResponse(
      messageName: messageName,
      messageID: int.parse(messageID),
      result: result,
    );
  }

  @override
  String toXML() {
    return '''
    <?xml version="1.0" encoding="utf-8"?>
    <cupps xmlns="$xmlns" messageID="$messageID" xmlns:xsi="$xsi" messageName="$messageName">
        <$messageName result="$result"/>
    </cupps>
    '''
        .replaceAll("\n", "")
        .replaceAll("\t", "")
        .replaceAll("  ", "");
  }

  @override
  String toString() {
    return "$messageID : $messageName: $result";
  }
}
